Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

The “List Transactions” API allows to retrieve a paginated list of transactions. Customize your results by filtering transactions based on name, alt type, transaction status, payment mode, date range, type of source, contact, subscription id, entity id or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve transaction information.
GET https://services.leadconnectorhq.com/payments/transactions

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Query parameters

locationId
string
default:"3SwdhCu3svxI8AKsPJt6"
LocationId is the id of the account.
altId
string
default:"3SwdhCu3svxI8AKsPJt6"
required
AltId is the unique identifier e.g: account id.
altType
string
default:"account"
required
AltType is the type of identifier.
paymentMode
string
default:"live"
Mode of payment.
startAt
string
default:"2024-02-01"
Starting interval of transactions.
endAt
string
default:"2024-02-13"
Closing interval of transactions.
entitySourceType
string
default:"funnel"
Source of the transactions.
entitySourceSubType
string
default:"two_step_order_form"
Source sub-type of the transactions.
The name of the transaction for searching.
subscriptionId
string
default:"sub_1KGcXDCScnf89tZoVkoEMCEL"
Subscription id for filtering of transactions.
entityId
string
default:"61dd0fe9c077f73e67f78803"
Entity id for filtering of transactions.
contactId
string
default:"XPLSw2SVagl12LMDeTmQ"
Contact id for filtering of transactions.
limit
number
default:"20"
The maximum number of items to be included in a single page of results
offset
number
default:"0"
The starting index of the page, indicating the position from which the results should be retrieved.

Respuestas

data
object[]
required
An array of transactions
totalCount
number
required
total transactions count
{
  "data": [
    {
      "_id": "61dd0feac077f72010f78804",
      "altId": "3SwdhCu3svxI8AKsPJt6",
      "altType": "account",
      "contactId": "XPLSw2SVagl12LMDeTmQ",
      "mergedFromContactId": "XPLSw2SVagl12LMDeTmQ",
      "contactName": "James Bond",
      "contactEmail": "james.bond@leadwaycrm.com",
      "currency": "USD",
      "amount": "100",
      "status": "succeeded",
      "liveMode": "false",
      "entityType": "order",
      "entityId": "61dd0fe9c077f73e67f78803",
      "entitySourceType": "funnel",
      "entitySourceSubType": "two_step_order_form",
      "entitySourceName": "new funnel",
      "entitySourceId": "BDBMEghdIUaqMPEsK349",
      "entitySourceMeta": "{ domain: \"app.leadwaycrm.com\", pageId:  \"rBVhyYhMsbxbO8ZqOcei\", pageUrl:  \"/v2/preview/rBVhyYhMsbxbO8ZqOcei\", stepId:   \"5a772f62-3fbc-418b-af1b-be8929dd64c2\"}",
      "subscriptionId": "sub_1KGcXDCScnf89tZoVkoEMCEL",
      "chargeId": "in_1KGcXDCScnf89tZohCsmImwE",
      "chargeSnapshot": "{ id: \"in_1KGcXDCScnf89tZohCsmImwE\", object: \"invoice\", account_country: \"US\",  account_name:  \"GHL-Testing\" }",
      "paymentProviderType": "stripe",
      "paymentProviderConnectedAccount": "612ca676b484b241fef9d962",
      "ipAddress": "107.178.194.224",
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2023-11-20T10:23:36.515Z",
      "amountRefunded": "10",
      "paymentMethod": "{ card: { \"brand\": \"discover\", \"last4\": \"0012\" } }",
      "fulfilledAt": "2023-11-20T10:27:36.515Z",
      "createdBy": "user123"
    }
  ],
  "totalCount": 0
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/payments/transactions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'